summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander F Rødseth2015-06-10 14:34:45 +0200
committerAlexander F Rødseth2015-06-10 14:34:45 +0200
commit7045674982713436914128cc6e4b459b3fd917c6 (patch)
treec2944f3c488395e1b3691e58a3da84b9986092b3
downloadaur-7045674982713436914128cc6e4b459b3fd917c6.tar.gz
Initial import
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD40
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bf021da6d16
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = xmlfs
+ pkgdesc = mount xml files as directory structures
+ pkgver = 0.1.1
+ pkgrel = 1
+ url = http://github.com/halhen/xmlfs
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = fuse>=2.6
+ depends = libxml2
+
+pkgname = xmlfs
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e119c9cb4dc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# PKGBUILD for ArchLinux
+# Uses the main git repository as source
+# Not using _gitroot and _gitname, since this PKGBUILD
+# is for installing tagged and released versions,
+# not the latest release.
+# Contributor: halhen <halhen at k2h dot se>
+
+pkgname=xmlfs
+pkgver=0.1.1
+pkgrel=1
+pkgdesc="mount xml files as directory structures"
+license=(GPL)
+arch=('i686' 'x86_64')
+url=http://github.com/halhen/xmlfs
+depends=('fuse>=2.6' libxml2)
+source=()
+
+build() {
+ cd "$srcdir"
+ msg "Connecting to git server..."
+
+ if [[ -d "$srcdir/$pkgname" ]]; then
+ (cd "$pkgname" && git pull origin master) || return 1
+ msg "Repository updated"
+ else
+ git clone "http://github.com/halhen/xmlfs.git" || return 1
+ msg "Repository cloned"
+ fi
+
+ rm -rf "$srcdir/$pkgname-build"
+ cp -R "$srcdir/$pkgname"{,"-build"}
+ cd "$srcdir/$pkgname-build"
+
+ msg "Using version $pkgver..."
+ git checkout $pkgver || return 1
+
+ msg "Starting make ..."
+ make PREFIX=/usr MANPREFIX=/usr/man DESTDIR=$startdir/pkg install || return 1
+ install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+}